Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
peripheral::GatewaySensorManager::ConfigurationPackage Struct Reference

## Public Attributes
boolean | disabled
| prevents usage of all sensor specifications defined in this package
string | name
| package name
vector< SensorClass > | classes
vector< RemoteDevice > | devices
vector< ValueEncoding > | encodings
vector< Sensor > | sensors

## Detailed Description

Definition at line 619 of file GatewaySensorManager.idl.

## Member Data Documentation

## ◆ classes

vector<SensorClass> peripheral::GatewaySensorManager::ConfigurationPackage::classes

Definition at line 622 of file GatewaySensorManager.idl.

## ◆ devices

vector<RemoteDevice> peripheral::GatewaySensorManager::ConfigurationPackage::devices

Definition at line 623 of file GatewaySensorManager.idl.

## ◆ disabled

boolean peripheral::GatewaySensorManager::ConfigurationPackage::disabled

prevents usage of all sensor specifications defined in this package

Definition at line 620 of file GatewaySensorManager.idl.

## ◆ encodings

vector<ValueEncoding> peripheral::GatewaySensorManager::ConfigurationPackage::encodings

Definition at line 624 of file GatewaySensorManager.idl.

## ◆ name

string peripheral::GatewaySensorManager::ConfigurationPackage::name

package name

Definition at line 621 of file GatewaySensorManager.idl.

## ◆ sensors

vector<Sensor> peripheral::GatewaySensorManager::ConfigurationPackage::sensors

Definition at line 625 of file GatewaySensorManager.idl.

The documentation for this struct was generated from the following file:

- GatewaySensorManager.idl